#!/bin/sh
#
#        I C E F L O O R
#
#      pf frontend for OS X
#
#        www.hanynet.com
#
#        by Hany El Imam
#
# pf startup script by hany@hanynet.com
# this script has been installed by IceFloor.app
# please chmod +x this script if you put/replace it manually!!
#
# this script must be executed at boot time by launchd
# it enables the PF firewall (full enabled, not "on demand")
# and loads rules from default osx configuration file
# it enables also pf logging with tcp dump
# in order for logging to work you must add this line to /etc/syslog.conf:
# local2.*						/var/log/pffirewall.log
# this is done automatically by IceFloor
#
# please note: this works on OSX 10.7 or later
# earlier MacOSX versions are not supported.

# script

# We need to trap on TERM signals, according to Apple's launchd docs:
#
trap 'exit 1' 15

#
# Issue a log message so we know when we started
#
syslog -s -l 1 icefloor.sh: Starting IceFloor PF firewall boot script...

#
# Use the "ipconfig waitall" command to wait for all the
# interfaces to come up:
#
ipconfig waitall
		# sysctl 
		  sysctl -w net.inet6.ip6.fw.verbose=0
		  sysctl -w net.inet.ip.fw.verbose=0
		  sysctl -w net.inet.ip.fw.verbose_limit=0
		  # interface forwarding
 		 # sysctl -w net.inet.ip.forwarding=0
		
# enable PF and load rules from default configuration file
/sbin/pfctl -ef /etc/pf.conf

# enable pf logs
ifconfig pflog0 create
/usr/sbin/tcpdump -lnettti pflog0 | /usr/bin/logger -t pf -p local2.info

# Sleep 
sleep 5
# log message 
syslog -s -l 1 icefloor.sh: IceFloor script ended.

# Exit with a clean status
exit 0
